package Shapeways::Logger;

use base 'Exporter';

use Log::Contextual::SimpleLogger;
use Log::Contextual qw( :log :dlog ),
  -logger => Log::Contextual::SimpleLogger->new({ levels_upto => $ENV{LOG_LEVEL}||'info' });
  
my @levels = qw/trace info error debug warn fatal/;
our @EXPORT=map({"log_$_"} @levels), map({"Dlog_$_"} @levels);

1;